## smokeenc smokeenc — Encode images into the Smoke format |

## Properties

gint | keyframe | Read / Write
gint | qmax | Read / Write
gint | qmin | Read / Write
gint | threshold | Read / Write

## Types and Values

struct | GstSmokeEnc

## Object Hierarchy

        GObject
        ╰── GstObject
            ╰── GstElement
                ╰── GstSmokeEnc

## Description

## Synopsis

### Element Information

plugin | jpeg
author | Wim Taymans <wim@fluendo.com>
class | Codec/Encoder/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw-yuv, format=(fourcc)I420, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-smoke, width=(int)[ 16, 4096 ], height=(int)[ 16, 4096 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstSmokeEnc

    struct GstSmokeEnc;

## Property Details

### The `“keyframe”` property

      “keyframe”                 gint

Insert keyframe every N frames.

Flags: Read / Write

Allowed values: [1,100000]

Default value: 20

### The `“qmax”` property

      “qmax”                     gint

Maximum quality.

Flags: Read / Write

Allowed values: [0,100]

Default value: 85

### The `“qmin”` property

      “qmin”                     gint

Minimum quality.

Flags: Read / Write

Allowed values: [0,100]

Default value: 10

### The `“threshold”` property

      “threshold”                gint

Motion estimation threshold.

Flags: Read / Write

Allowed values: [0,100000000]

Default value: 3000